local MSQ = LibStub("Masque", true)
if not MSQ then return end

local PerfectBorders = 768/string.match(GetCVar("gxWindowedResolution"), "%d+x(%d+)") / 0.9
local PerfectScale = function(ScaleObject)
    return PerfectBorders*math.floor(ScaleObject/PerfectBorders)
end

MSQ:AddSkin("Aftermathh", {
	Author = "Aftermathh",
	Version = "1.0",
	Shape = "Square",
	Masque_Version = 60200,
	
	Backdrop = {
		Width = PerfectBorders+PerfectScale(42),
		Height = PerfectBorders+PerfectScale(42),
		Texture = [[Interface\AddOns\Masque_Aftermathh\Textures\Backdrop]],
	},
	Icon = {
		Width = PerfectBorders+PerfectScale(36),
		Height = PerfectBorders+PerfectScale(36),
		TexCoords = {0.03, 0.97, 0.03, 0.97},
	},
	Flash = {
		Width = PerfectBorders+PerfectScale(42),
		Height = PerfectBorders+PerfectScale(42),
		Color = {1, 0, 0, 0.3},
		Texture = [[Interface\AddOns\Masque_Aftermathh\Textures\Overlay]],
	},
	Cooldown = {
		Width = 36,
		Height = 36,
	},
	ChargeCooldown = {
		Width = 36,
		Height = 36,
	},
	Pushed = {
		Width = PerfectBorders+PerfectScale(42),
		Height = PerfectBorders+PerfectScale(42),
		Color = {0, 0, 0, 0.5},
		Texture = [[Interface\AddOns\Masque_Aftermathh\Textures\Overlay]],
	},
	Normal = {
		Width = PerfectBorders+PerfectScale(42),
		Height = PerfectBorders+PerfectScale(42),
		Color = {0.3, 0.3, 0.3, 1},
		Texture = [[Interface\AddOns\Masque_Aftermathh\Textures\Normal]],
	},
	Disabled = {
		Hide = true,
	},
	Checked = {
		Width = PerfectBorders+PerfectScale(42),
		Height = PerfectBorders+PerfectScale(42),
		BlendMode = "ADD",
		Color = {0, 0.8, 1, 0.5},
		Texture = [[Interface\AddOns\Masque_Aftermathh\Textures\Border]],
	},
	Border = {
		Width = PerfectBorders+PerfectScale(42),
		Height = PerfectBorders+PerfectScale(42),
		BlendMode = "ADD",
		Texture = [[Interface\AddOns\Masque_Aftermathh\Textures\Border]],
	},
	AutoCastable = {
		Width = 64,
		Height = 64,
		OffsetX = 0.5,
		OffsetY = -0.5,
		Texture = [[Interface\Buttons\UI-AutoCastableOverlay]],
	},
	Highlight = {
		Width = PerfectBorders+PerfectScale(42),
		Height = PerfectBorders+PerfectScale(42),
		BlendMode = "ADD",
		Color = {1, 1, 1, 0.3},
		Texture = [[Interface\AddOns\Masque_Aftermathh\Textures\Highlight]],
	},
	Name = {
		Width = 42,
		Height = 10,
		OffsetY = 2,
	},
	Count = {
		Width = 42,
		Height = 10,
		OffsetX = -3,
		OffsetY = 6,
	},
	HotKey = {
		Width = 42,
		Height = 10,
		OffsetX = -8,
		OffsetY = -5,
	},
	Duration = {
		Width = 42,
		Height = 10,
		OffsetY = -3,
	},
	Shine = {
		Width = 32,
		Height = 32,
		OffsetX = 1,
		OffsetY = -1,
	},
}, true)